package com.yifu.cloud.plus.v1.consumer;

import com.yifu.cloud.plus.v1.yifu.common.feign.annotation.EnableYifuFeignClients;
import com.yifu.cloud.plus.v1.yifu.common.security.annotation.EnableYifuResourceServer;
import com.yifu.cloud.plus.v1.yifu.common.swagger.annotation.EnableYifuDoc;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
* @author pig archetype
* <p>
* 项目启动类
*/
@EnableYifuDoc
@EnableYifuFeignClients
@EnableYifuResourceServer
@EnableDiscoveryClient
@SpringBootApplication
public class ConsumerApplication {

    public static void main(String[] args) {
        SpringApplication.run(ConsumerApplication.class, args);
    }

}
