package com.yifu.cloud.plus.v1.provider;

import com.yifu.cloud.plus.v1.yifu.common.feign.annotation.EnableYifuFeignClients;
import com.yifu.cloud.plus.v1.yifu.common.security.annotation.EnableYifuResourceServer;
import com.yifu.cloud.plus.v1.yifu.common.swagger.annotation.EnableYifuDoc;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;

/**
* @author pig archetype
* <p>
* 项目启动类
*/
@EnableYifuDoc
@EnableYifuFeignClients
@EnableYifuResourceServer
@EnableDiscoveryClient
//@ComponentScan(basePackages = {"com.yifu.cloud.plus.v1"})
@SpringBootApplication
public class ProviderApplication {

    public static void main(String[] args) {
        SpringApplication.run(ProviderApplication.class, args);
    }

}
