package com.yifu.cloud.plus.v1.provider.feign.fallback;

import com.yifu.cloud.plus.v1.provider.entity.Provider;
import com.yifu.cloud.plus.v1.provider.feign.RemoteProviderService;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;
import lombok.Setter;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;

@Log4j2
@Component
public class RemoteProviderServiceFallbackImpl implements RemoteProviderService {
	@Setter
	private Throwable cause;

	@Override
	public R<Boolean> testSeata(Provider provider, String from) {
		log.error("测试seata异常",provider,cause);
		return null;
	}
}
